mcDISPLAY-MATPLOTLIB(1)

NAME
mcdisplay-matplotlib - mcstas Graphical display of simulations using Matplotlib

SYNOPSIS
mcdisplay-matplotlib [-h] INSTR name=value...

DESCRIPTION
The mcdisplay-matplotlib front-end is a graphical debugging tool. It presents a schematic drawing of the instrument definition, showing the position of the components and the paths of the simulated neutrons through the instrument. It is thus very useful for debugging a simulation, for example to spot components in the wrong position or to find out where neutrons are getting lost. To use the mcdisplay-matplotlib front-end with a simulation, run it as follows: mcdisplay-matplotlib INSTR args... where INSTR is the name of either the instrument source INSTR.instr or the simulation program INSTR.out generated with mcstas, and args are the normal command line arguments for the simulation, as for mcrun. The -h option will list valid options.

The default plotting backend is mxdisplay-pyqtgraph, but there exists a number of additional plotters such as mxdisplay-matplotlib, mxdisplay-webgl-classic (using WebGL), mxdisplay-webgl (using WebGL and NodeJS), mxdisplay-matlab (using Matlab or Octave). This is the Matplotlib plotting tool.

OPTIONS

INSTR
    Displays the given McCode 3D model with its defaults/current parameters.

name1=value1 ...
    Displays the given McCode model with given parameters.

-n N, –ncount N
    Number of particles to simulate

FILES
/usr/share/mcstas/tools/Python /usr/share/mcstas/tools/Python/mccodelib/mccode_config.json ~/.mcstas/mccode_config.json http://www.mcstas.org

EXAMPLES

Display the Test_SX example (Single crystal diffraction)

•   mcdisplay-matplotlib Test_SX.instr -n 1e2 TTH=13.4

AUTHORS
mcstas Team (mcstas.org)

SEE ALSO
mcstas(1), mcdoc(1), mcplot(1), mcrun(1), mcgui(1), mcdisplay(1)

AUTHORS
MCSTAS neutron Ray Tracing Team.